# Elemmire

## Steps to build

* Install Conan>=2
```
conda install -c conda-forge conan
```
* Create a conan profile
```
conan profile detect --force
```
* To build the library locally:
    * Install dependencies with conan
    ```
    conan install . --build=missing
    ```
    or for the debug version:
    ```
    conan install . --build=missing --profile=debug
    ```
    * Build with meson
    ```
    cd build-realease
    conan build ..
    ```
    or for the debug version:
    ```
    cd build-debug
    conan build .. --profile=debug
    ```
* To create the package (i.e. build and install it in the conan cache ``~/.conan2``)
```
conan create . --build=missing
```
or for the debug version:
```
conan create . --build=missing --profile=debug
```
